package vn.azteam.tpf.service.dto;

public class PushNotificationRequest {

    private String title;
    private String titleContent;
    private String token;
    private String requestType;
    private Long sendTo;
    private Long tbEntityId;
    private Long tbCropId;
    private Long tbCropType;

    public PushNotificationRequest(String title, String titleContent, String token, String requestType, Long sendTo, Long tbEntityId, Long tbCropId, Long tbCropType) {
        this.title = title;
        this.titleContent = titleContent;
        this.token = token;
        this.requestType = requestType;
        this.sendTo = sendTo;
        this.tbEntityId = tbEntityId;
        this.tbCropId = tbCropId;
        this.tbCropType = tbCropType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitleContent() {
        return titleContent;
    }

    public void setTitleContent(String titleContent) {
        this.titleContent = titleContent;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public Long getSendTo() {
        return sendTo;
    }

    public void setSendTo(Long sendTo) {
        this.sendTo = sendTo;
    }

    public Long getTbEntityId() {
        return tbEntityId;
    }

    public void setTbEntityId(Long tbEntityId) {
        this.tbEntityId = tbEntityId;
    }

    public Long getTbCropId() {
        return tbCropId;
    }

    public void setTbCropId(Long tbCropId) {
        this.tbCropId = tbCropId;
    }

    public Long getTbCropType() {
        return tbCropType;
    }

    public void setTbCropType(Long tbCropType) {
        this.tbCropType = tbCropType;
    }
}
